## qtmobile-weather 1.0-maemo2

=== debian/changelog ===
qtmobile-weather (1.0-maemo2) unstable; urgency=low

  * First package uploaded to extras-devel

 -- Anselmo Lacerda S. de Melo <anselmo.melo@openbossa.org>  Thu, 04 Mar 2010 15:55:02 -0300

qtmobile-weather (1.0-maemo1) unstable; urgency=low

  * First release of Mobile Weather

 -- Anselmo Lacerda S. de Melo <anselmo.melo@openbossa.org>  Thu, 11 Feb 2010 22:22:11 -0300
