## qtmobile-weather 1.0-maemo5

=== imtk/src/Makefile ===
#############################################################################
# Makefile for building: libimtk.a
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat Feb 13 00:00:59 2010
# Project:  src.pro
# Template: lib
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -fPIC -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -fPIC -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I. -I.
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = widget.cpp \
		button.cpp \
		dataresource.cpp \
		flickablearea.cpp \
		kineticscroll.cpp \
		label.cpp \
		listview.cpp \
		model.cpp \
		pageslider.cpp \
		pixmapwidget.cpp \
		scrollarea.cpp \
		scrollbar.cpp \
		system.cpp \
		throbber.cpp \
		utils.cpp moc_widget.cpp \
		moc_button.cpp \
		moc_flickablearea.cpp \
		moc_kineticscroll.cpp \
		moc_label.cpp \
		moc_listview.cpp \
		moc_model.cpp \
		moc_pageslider.cpp \
		moc_pixmapwidget.cpp \
		moc_scrollarea.cpp \
		moc_system.cpp
OBJECTS       = widget.o \
		button.o \
		dataresource.o \
		flickablearea.o \
		kineticscroll.o \
		label.o \
		listview.o \
		model.o \
		pageslider.o \
		pixmapwidget.o \
		scrollarea.o \
		scrollbar.o \
		system.o \
		throbber.o \
		utils.o \
		moc_widget.o \
		moc_button.o \
		moc_flickablearea.o \
		moc_kineticscroll.o \
		moc_label.o \
		moc_listview.o \
		moc_model.o \
		moc_pageslider.o \
		moc_pixmapwidget.o \
		moc_scrollarea.o \
		moc_system.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		../install.pri \
		../include/include.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/static.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = imtk
DESTDIR       = 
TARGET        = libimtk.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile libimtk.prl pkgconfig/imtk.pc $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


libimtk.prl: 
	@$(QMAKE) -prl  -unix src.pro
Makefile: src.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		../install.pri \
		../include/include.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/staticlib.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/static.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
../install.pri:
../include/include.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/staticlib.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/static.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/link_pkgconfig.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

pkgconfig/imtk.pc: 
	@$(QMAKE) -prl  -unix /home/anselmo/noite2/imtk/src/src.pro
dist: 
	@$(CHK_DIR_EXISTS) .tmp/imtk1.0.0 || $(MKDIR) .tmp/imtk1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/imtk1.0.0/ && $(COPY_FILE) --parents widget.h button.h dataresource.h flickablearea.h kineticscroll.h label.h listview.h model.h pageslider.h pixmapwidget.h scrollarea.h scrollbar.h system.h utils.h throbber.h global.h widget_p.h pixmapwidget_p.h flickablearea_p.h .tmp/imtk1.0.0/ && $(COPY_FILE) --parents widget.cpp button.cpp dataresource.cpp flickablearea.cpp kineticscroll.cpp label.cpp listview.cpp model.cpp pageslider.cpp pixmapwidget.cpp scrollarea.cpp scrollbar.cpp system.cpp throbber.cpp utils.cpp .tmp/imtk1.0.0/ && (cd `dirname .tmp/imtk1.0.0` && $(TAR) imtk1.0.0.tar imtk1.0.0 && $(COMPRESS) imtk1.0.0.tar) && $(MOVE) `dirname .tmp/imtk1.0.0`/imtk1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/imtk1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_widget.cpp moc_button.cpp moc_flickablearea.cpp moc_kineticscroll.cpp moc_label.cpp moc_listview.cpp moc_model.cpp moc_pageslider.cpp moc_pixmapwidget.cpp moc_scrollarea.cpp moc_scrollbar.cpp moc_system.cpp moc_throbber.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_widget.cpp moc_button.cpp moc_flickablearea.cpp moc_kineticscroll.cpp moc_label.cpp moc_listview.cpp moc_model.cpp moc_pageslider.cpp moc_pixmapwidget.cpp moc_scrollarea.cpp moc_scrollbar.cpp moc_system.cpp moc_throbber.cpp
moc_widget.cpp: global.h \
		widget.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) widget.h -o moc_widget.cpp

moc_button.cpp: widget.h \
		global.h \
		button.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) button.h -o moc_button.cpp

moc_flickablearea.cpp: widget.h \
		global.h \
		flickablearea.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) flickablearea.h -o moc_flickablearea.cpp

moc_kineticscroll.cpp: global.h \
		kineticscroll.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) kineticscroll.h -o moc_kineticscroll.cpp

moc_label.cpp: widget.h \
		global.h \
		label.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) label.h -o moc_label.cpp

moc_listview.cpp: model.h \
		global.h \
		widget.h \
		listview.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) listview.h -o moc_listview.cpp

moc_model.cpp: global.h \
		model.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) model.h -o moc_model.cpp

moc_pageslider.cpp: global.h \
		flickablearea.h \
		widget.h \
		pageslider.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) pageslider.h -o moc_pageslider.cpp

moc_pixmapwidget.cpp: widget.h \
		global.h \
		pixmapwidget.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) pixmapwidget.h -o moc_pixmapwidget.cpp

moc_scrollarea.cpp: widget.h \
		global.h \
		scrollarea.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) scrollarea.h -o moc_scrollarea.cpp

moc_scrollbar.cpp: global.h \
		pixmapwidget.h \
		widget.h \
		scrollbar.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) scrollbar.h -o moc_scrollbar.cpp

moc_system.cpp: global.h \
		system.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) system.h -o moc_system.cpp

moc_throbber.cpp: widget.h \
		global.h \
		throbber.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) throbber.h -o moc_throbber.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
