=== debian/control ===
Source: qtmobile-weather
Section: apps
Priority: optional
Maintainer: Adriano Rezende <adriano.rezende@openbossa.org>
Uploaders: Anselmo Lacerda S. de Melo <anselmo.melo@openbossa.org>
Build-Depends: debhelper (>= 4), libgconf2-dev, libdbus-glib-1-dev, libdbus-1-dev, libglib2.0-dev, libqt4-maemo5-dev
Standards-Version: 3.8.1

Package: qtmobile-weather
Section: user/other
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-core, libqt4-maemo5-gui, libqt4-maemo5-network
XB-Maemo-Display-Name: Qt Mobile Demo: Weather
XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAAAAXNSR0IArs4c
  6QAAAMNQTFRF70YPcBAPehIKhhUXkBcWmRYVmhcceiAjpxsddC0wshwinCku
  R0hGdTtFgTtMD1mFcEJSHFuCGl+MHWGIZ1FlYldvJWiPW11gSl+AnlFULW2V
  WmV7MXSeQneaWnmUmGxxcnuBSYWqUYelZYSTT4y1YoqkUY+yX42ra42gVpS3
  XJm9ipKVgJeob5y1c6S/f6u/qaKkup6gl6qujrG+i7LGoL7MmsLLzb7CqszW
  uc3Z2MvMvNjexNbg0NXY0+Tp5e/x8/j6Kf1CbwAAAAF0Uk5TAEDm2GYAAAAB
  YktHRACIBR1IAAAACXBIWXMAAA3XAAAN1wFCKJt4AAAAB3RJTUUH2gETAQ0h
  +LhADAAAAtlJREFUSMe9ln1XokAUxkMUsVQEdEqCLYwwxhXbclwIA7//p9o7
  rwzl2VN/7D4H4WHm+d3LjJ6DFxf/T47jur4j5DsuN65yMOh285DSAGFVGoQc
  50MeySnX9z62gkGY9nTA8xSAfF8WdSXqRK7j+QrwQIHjcfm+z42LPOFgEKZ9
  pAEIygohT5iAosJHtKTWAUFMCHnCIp859rgBuMBr1+Aj1QEF0gY+8oOI1M1x
  G0EzOqwAxNrTuE/zjIAaaFWfuEhAJ9o10LJCkTQhCuKTUhN0gVCLcQMX76Sp
  RjoQyA5BIC2sYKsDp60OhIGQNGh/LOO4AxAY1jp0gYgt9tgh6rALhFQxfMCv
  ZdFaA5pIA8LwZja9oprOb8K4kUVLvYMOTO1LkG3bA1B/+fbOkVJ2aEpy3Idh
  JOKXXLbV5xoMrLu3Uw2pphWJ8+LYifelLFDfWr5XdaPrGDd1m7e7eehl9X/V
  TE0trsW+bvNWm7dZHrj+8jfNlbv9jjAiP8o1dPIDCVjmEJrs8rIqSV4BUZUC
  sC3TlPmBbSmg3+s977cV1b6g51Jt62IxG4oG4onYUsxebwG5oqwOhAKFAmLQ
  ZEBT8on4XvV6w+fqkBcVIVVRVIcOkMwhqxoIwDBGhOQFMFREA1JAplfL5ZU1
  oIDJAdMwjLtiv8vJR4Dm4y05HMjLHc0DwPoAYLwcpF4VAPkkTrdscHNYmmrX
  KDA5C6Tr3Ssb3EDBTQcYvpwBoMWK6XEDp3gOP0AG9CixEHOrlQYkTDjZPNBr
  NpvDN2MKYCZmk0QDmLJsvYm4S1Oc3o7YNhmTWMynCsj4PU5/PiTcJhhu4wkD
  RmcAJpxlmygTwinc/xiOJiPDWImxT0D6dJ9mCoYjW2OMb4ePsooCMMtgfP9D
  5jE9OIRv158Brqf7GJ/Ro3IdIKcN5Ex+DsTaW5Q3uI7afP7XPNf111/r198F
  xuw0/gYwltTXifH4n/yH+QPu7b91lhfMDQAAAABJRU5ErkJggg==
Description: Qt Mobile Weather
  Allows you to check the weather around the world in a cute way.
