## qtmobile-weather 1.0-maemo4

=== debian/changelog ===
qtmobile-weather (1.0-maemo4) unstable; urgency=low

  * Fixing the install of binary

 -- Anselmo Lacerda S. de Melo <anselmo.melo@openbossa.org>  Thu, 04 Mar 2010 20:30:02 -0300
