=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Section: user/other
 Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-core, libqt4-maemo5-gui, libqt4-maemo5-network
-XB-Maemo-Display-Name: Qt Mobile Demo: Weather
+XB-Maemo-Display-Name: Qt Mobile Weather
 XB-Maemo-Icon-26:
   iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAAAAXNSR0IArs4c
   6QAAAMNQTFRF70YPcBAPehIKhhUXkBcWmRYVmhcceiAjpxsddC0wshwinCku
