=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,14 @@
 #!/usr/bin/make -f
 
-configure: configure-stamp
-configure-stamp:
+configure: 
 	dh_testdir
 
 	/opt/qt4-maemo5/bin/qmake PREFIX=/usr
-	touch configure-stamp
 
 
 build: build-stamp
 
-build-stamp: configure-stamp  
+build-stamp: configure
 	dh_testdir
 	$(MAKE)
 	touch $@
@@ -18,8 +16,8 @@
 clean: 
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp
-	-$(MAKE) clean
+	rm -f $(CURDIR)/build-stamp 
+	-$(MAKE) distclean
 	dh_clean 
 
 install: build
@@ -29,8 +27,9 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/qthello.
-	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/qtmobile-weather/usr install
+#	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/qtmobile-weather/usr install
 	install -D -m 755 $(CURDIR)/mobile-weather $(CURDIR)/debian/qtmobile-weather/usr/bin/mobile-weather
+	install -D -m 755 $(CURDIR)/src/mobile-weather.bin $(CURDIR)/debian/qtmobile-weather/usr/bin/mobile-weather.bin
 	install -D -m 644 $(CURDIR)/mobileweather.desktop $(CURDIR)/debian/qtmobile-weather/usr/share/applications/hildon/mobileweather.desktop
 	install -D -m 644 $(CURDIR)/resource/icon-weather.png $(CURDIR)/debian/qtmobile-weather/usr/share/pixmaps/icon-weather.png
 	install -D -m 644 $(CURDIR)/src/weather.ini $(CURDIR)/debian/qtmobile-weather/usr/share/applications/weather.ini
