## qtmobile-weather 1.0-maemo5

=== debian/changelog ===
qtmobile-weather (1.0-maemo5) unstable; urgency=low

  * Package updated to use Qt 4.6 part of Maemo 5 PR 1.2

 -- Anselmo Lacerda S. de Melo <anselmo.melo@openbossa.org>  Thu, 16 Jul 2010 22:31:37 -0300
