=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: qtmobile-weather
 Section: apps
 Priority: optional
-Maintainer: Adriano Rezende <adriano.rezende@openbossa.org>
-Uploaders: Anselmo Lacerda S. de Melo <anselmo.melo@openbossa.org>
-Build-Depends: debhelper (>= 4), libgconf2-dev, libdbus-glib-1-dev, libdbus-1-dev, libglib2.0-dev, libqt4-maemo5-dev
+Maintainer: Anselmo Lacerda S. de Melo <anselmo.melo@openbossa.org>
+Build-Depends: debhelper (>= 4), libgconf2-dev, libdbus-glib-1-dev, libdbus-1-dev, libglib2.0-dev, libqt4-dev
 Standards-Version: 3.8.1
 
 Package: qtmobile-weather
-Section: user/other
+Section: apps
 Architecture: armel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-maemo5-core, libqt4-maemo5-gui, libqt4-maemo5-network
+Depends: ${shlibs:Depends}, ${misc:Depends}
 XB-Maemo-Display-Name: Qt Mobile Weather
 XB-Maemo-Icon-26:
   iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAAAAXNSR0IArs4c
