=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 configure: 
 	dh_testdir
 
-	/opt/qt4-maemo5/bin/qmake PREFIX=/usr
+	qmake PREFIX=/usr
 
 
 build: build-stamp
@@ -32,7 +32,7 @@
 	install -D -m 755 $(CURDIR)/src/mobile-weather.bin $(CURDIR)/debian/qtmobile-weather/usr/bin/mobile-weather.bin
 	install -D -m 644 $(CURDIR)/mobileweather.desktop $(CURDIR)/debian/qtmobile-weather/usr/share/applications/hildon/mobileweather.desktop
 	install -D -m 644 $(CURDIR)/resource/icon-weather.png $(CURDIR)/debian/qtmobile-weather/usr/share/pixmaps/icon-weather.png
-	install -D -m 644 $(CURDIR)/src/weather.ini $(CURDIR)/debian/qtmobile-weather/usr/share/applications/weather.ini
+	install -D -m 644 $(CURDIR)/src/mobileweather.ini $(CURDIR)/debian/qtmobile-weather/usr/share/applications/mobileweather.ini
 
 # Build architecture-independent files here.
 binary-indep: build install
